Alembic: Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPointsSchema Class Reference

Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPointsSchema Class Reference
Inheritance diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPointsSchema:
[legend]
Collaboration diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPointsSchema:
[legend]

## Classes
class | Sample

## Public Types
typedef OPointsSchema | this_type
Public Types inherited from Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< PointsSchemaInfo >
typedef PointsSchemaInfo | info_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< PointsSchemaInfo >
typedef PointsSchemaInfo | info_type
typedef OSchema< PointsSchemaInfo > | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OCompoundProperty
typedef OCompoundProperty | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
typedef OBasePropertyT< AbcA::CompoundPropertyWriterPtr > | this_type
typedef OBasePropertyT< AbcA::CompoundPropertyWriterPtr > | operator_bool_base_type

## Public Member Functions
| OPointsSchema ()
| OPointsSchema (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, const Abc::Argument &iArg0=Abc::Argument(), const Abc::Argument &iArg1=Abc::Argument(), const Abc::Argument &iArg2=Abc::Argument(), const Abc::Argument &iArg3=Abc::Argument())
| OPointsSchema (Abc::OCompoundProperty iParent, const std::string &iName, const Abc::Argument &iArg0=Abc::Argument(), const Abc::Argument &iArg1=Abc::Argument(), const Abc::Argument &iArg2=Abc::Argument())
AbcA::TimeSamplingPtr | getTimeSampling () const
| Default assignment and copy operator used.
size_t | getNumSamples () const
void | set (const Sample &iSamp)
| Set a sample.
void | setFromPrevious ()
void | setTimeSampling (uint32_t iIndex)
void | setTimeSampling (AbcA::TimeSamplingPtr iTime)
void | reset ()
bool | valid () const
| ALEMBIC_OVERRIDE_OPERATOR_BOOL (OPointsSchema::valid())
Public Member Functions inherited from Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< PointsSchemaInfo >
| OGeomBaseSchema ()
Abc::OCompoundProperty | getArbGeomParams ()
Abc::OCompoundProperty | getUserProperties ()
Abc::OBox3dProperty | getChildBoundsProperty ()
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< PointsSchemaInfo >
| OSchema ()
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OCompoundProperty
| OCompoundProperty ()
| OCompoundProperty (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (OCompoundProperty iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (AbcA::CompoundPropertyWriterPtr iProp, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (AbcA::CompoundPropertyWriterPtr iProp, WrapExistingFlag iWrapFlag=kWrapExisting, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (OObject iObject, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (OObject iObject, TopFlag iTopFlag=kTop, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ~OCompoundProperty ()
size_t | getNumProperties () const
const AbcA::PropertyHeader & | getPropertyHeader (size_t i) const
const AbcA::PropertyHeader * | getPropertyHeader (const std::string &iName) const
OBaseProperty | getProperty (size_t i) const
OBaseProperty | getProperty (const std::string &iName) const
OCompoundProperty | getParent () const
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
const AbcA::PropertyHeader & | getHeader () const
const std::string & | getName () const
AbcA::PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const AbcA::MetaData & | getMetaData () const
const AbcA::DataType & | getDataType () const
AbcA::TimeSamplingPtr | getTimeSampling () const
OObject | getObject () const
AbcA::CompoundPropertyWriterPtr | getPtr () const
void | reset ()
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
ErrorHandler & | getErrorHandler () const
ErrorHandler::Policy | getErrorHandlerPolicy () const

## Additional Inherited Members
Static Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< PointsSchemaInfo >
static const char * | getSchemaTitle ()
static const char * | getSchemaBaseType ()
static const char * | getDefaultSchemaName ()
static bool | replaceOnSparse ()
static bool | matches (const AbcA::MetaData &iMetaData, SchemaInterpMatching iMatching=kStrictMatching)
Protected Member Functions inherited from Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< PointsSchemaInfo >
void | init (uint32_t iTsIndex, bool isSparse)
void | createSelfBoundsProperty (uint32_t iTsIndex, size_t iNumSamples)
| Creates the self bounds.
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
| OBasePropertyT ()
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
| Base (ErrorHandler::Policy iPolicy)
| Base (const Base &iCopy)
Base & | operator= (const Base &iCopy)
bool | valid () const
void | reset ()
Protected Attributes inherited from Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< PointsSchemaInfo >
Abc::OBox3dProperty | m_selfBoundsProperty
Abc::OBox3dProperty | m_childBoundsProperty
Abc::OCompoundProperty | m_arbGeomParams
Abc::OCompoundProperty | m_userProperties
Protected Attributes inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
AbcA::CompoundPropertyWriterPtr | m_property

## Member Typedef Documentation

## ◆ this_type

typedef OPointsSchema Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPointsSchema::this_type

By convention we always define this_type in AbcGeom classes. Used by unspecified-bool-type conversion below

## Constructor & Destructor Documentation

## ◆ OPointsSchema() [1/3]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPointsSchema::OPointsSchema | ( |  | ) |
| inline

The default constructor creates an empty OPointsSchema ...

## ◆ OPointsSchema() [2/3]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPointsSchema::OPointsSchema | ( | AbcA::CompoundPropertyWriterPtr | iParent,
|  | const std::string & | iName,
|  | const Abc::Argument & | iArg0 = Abc::Argument(),
|  | const Abc::Argument & | iArg1 = Abc::Argument(),
|  | const Abc::Argument & | iArg2 = Abc::Argument(),
|  | const Abc::Argument & | iArg3 = Abc::Argument() )

This constructor creates a new poly mesh writer. The first argument is an CompoundPropertyWriterPtr to use as a parent. The next is the name to give the schema which is usually the default name given by OFaceSet (.geom) The remaining optional arguments can be used to override the ErrorHandlerPolicy, to specify MetaData, specify sparse sampling and to set TimeSampling.

## ◆ OPointsSchema() [3/3]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPointsSchema::OPointsSchema | ( | Abc::OCompoundProperty | iParent,
|  | const std::string & | iName,
|  | const Abc::Argument & | iArg0 = Abc::Argument(),
|  | const Abc::Argument & | iArg1 = Abc::Argument(),
|  | const Abc::Argument & | iArg2 = Abc::Argument() )

This constructor creates a new poly mesh writer. The first argument is an OCompundProperty to use as a parent, and from which the ErrorHandlerPolicy is derived. The next is the name to give the schema which is usually the default name given by OFaceSet (.geom) The remaining optional arguments can be used to specify MetaData, specify sparse sampling and to set TimeSampling.

## Member Function Documentation

## ◆ ALEMBIC_OVERRIDE_OPERATOR_BOOL()

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPointsSchema::ALEMBIC_OVERRIDE_OPERATOR_BOOL | ( | OPointsSchema::valid() |  | ) |

unspecified-bool-type operator overload. ...

## ◆ getNumSamples()

size_t Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPointsSchema::getNumSamples | ( |  | ) | const
| inline

Get number of samples written so far. ...

## ◆ getTimeSampling()

AbcA::TimeSamplingPtr Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPointsSchema::getTimeSampling | ( |  | ) | const
| inline

Default assignment and copy operator used.

Return the time sampling

## ◆ reset()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPointsSchema::reset | ( |  | ) |
| inlinevirtual

Reset returns this function set to an empty, default state.

Reimplemented from Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< PointsSchemaInfo >.

## ◆ setFromPrevious()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPointsSchema::setFromPrevious | ( |  | ) |

Set from previous sample. Will apply to each of positions, ids, velocities, and widths

## ◆ valid()

bool Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPointsSchema::valid | ( |  | ) | const
| inlinevirtual

Valid returns whether this function set is valid.

Reimplemented from Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< PointsSchemaInfo >.

The documentation for this class was generated from the following files:

- AbcGeom/OPoints.h
- AbcGeom/OPoints.cpp